SpeciesInfo (images Maven Webapp 1.3.0-3.1.0 API)
Date: 2014-05-11

org.gcube.application.aquamaps.images.model

## Class SpeciesInfo

- java.lang.Object
- - org.gcube.application.aquamaps.images.model.SpeciesInfo

-     public class SpeciesInfo
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SCIENTIFIC_NAME`
    `static String` | `SPECIES_ID`
    `static String` | `SPECIES_PIC`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpeciesInfo(String speciesId, String pic, String scientificName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getPic()`
    `String` | `getScientificName()`
    `String` | `getSpeciesId()`
    `int` | `hashCode()`
    `void` | `setPic(String pic)`
    `void` | `setScientificName(String scientificName)`
    `void` | `setSpeciesId(String speciesId)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SPECIES_ID

          public static final String SPECIES_ID

      See Also:
        Constant Field Values

    - #### SPECIES_PIC

          public static final String SPECIES_PIC

      See Also:
        Constant Field Values

    - #### SCIENTIFIC_NAME

          public static final String SCIENTIFIC_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SpeciesInfo

          public SpeciesInfo(String speciesId,
                     String pic,
                     String scientificName)

  - ### Method Detail

    - #### getSpeciesId

          public String getSpeciesId()

      Returns:
        the speciesId

    - #### setSpeciesId

          public void setSpeciesId(String speciesId)

      Parameters:
        `speciesId` - the speciesId to set

    - #### getPic

          public String getPic()

      Returns:
        the pic

    - #### setPic

          public void setPic(String pic)

      Parameters:
        `pic` - the pic to set

    - #### getScientificName

          public String getScientificName()

      Returns:
        the scientificName

    - #### setScientificName

          public void setScientificName(String scientificName)

      Parameters:
        `scientificName` - the scientificName to set

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.